- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
G::Process::Umask Class Reference

Used to temporarily modify the process umask. More...

`#include <gprocess.h>`

Inheritance diagram for G::Process::Umask:

## Classes
class | UmaskImp
| A private implementation class used by G::Process::Umask. More...

## Public Types
enum | Mode { Readable, Tighter, Tightest, GroupOpen }

## Public Member Functions
| Umask (Mode)
| ~Umask ()

## Static Public Member Functions
static void | set (Mode)

## Detailed Description

Used to temporarily modify the process umask.

Definition at line 64 of file gprocess.h.

## Member Enumeration Documentation

enum G::Process::Umask::Mode

Enumerator
Readable |
Tighter |
Tightest |
GroupOpen |

Definition at line 66 of file gprocess.h.

## Constructor & Destructor Documentation

G::Process::Umask::Umask | ( | Mode | mode | ) |
| explicit

Definition at line 270 of file gprocess_unix.cpp.

References G::Process::Umask::UmaskImp::m_old_mode.

G::Process::Umask::~Umask | ( |  | ) |

Definition at line 276 of file gprocess_unix.cpp.

## Member Function Documentation

void G::Process::Umask::set | ( | Mode | mode | ) |
| static

Definition at line 282 of file gprocess_unix.cpp.

The documentation for this class was generated from the following files:

- gprocess.h
- gprocess_unix.cpp